This is a development version of the documentation. Content may change without notice.
Voke Documentation
ReferenceREST API

Telemetry

Telemetry data

Query telemetry data with optional aggregation

GET
/api/v1/telemetry

Query Parameters

plantId*string

Plant ID

Formatuuid
metric?string

Metric name filter

Lengthlength <= 200
from*string

Start time (ISO 8601)

to*string

End time (ISO 8601)

bucket?string

Aggregation bucket size

Value in"1 minute" | "5 minutes" | "15 minutes" | "1 hour" | "1 day"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/telemetry?plantId=497f6eca-6276-4993-bfeb-53cbbbba6f08&from=string&to=string"
[
  {
    "metadata": {},
    "metric": "string",
    "plant_id": "string",
    "time": "2019-08-24T14:15:22Z",
    "unit": "string",
    "value": 0
  }
]
{
  "code": "VALIDATION_ERROR",
  "details": {},
  "error": "Bad Request",
  "message": "Validation error",
  "statusCode": 400
}
{
  "code": "UNAUTHORIZED",
  "details": {},
  "error": "Unauthorized",
  "message": "Unauthorized",
  "statusCode": 400
}
{
  "code": "FORBIDDEN",
  "details": {},
  "error": "Forbidden",
  "message": "Forbidden",
  "statusCode": 400
}
{
  "code": "PLANT_NOT_FOUND",
  "details": {},
  "error": "Not Found",
  "message": "Plant not found",
  "statusCode": 400
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "details": {},
  "error": "Internal Server Error",
  "message": "Internal server error",
  "statusCode": 400
}

Get latest telemetry points for a plant

GET
/api/v1/telemetry/{plantId}/latest

Path Parameters

plantId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/telemetry/string/latest"
[
  {
    "metadata": {},
    "metric": "string",
    "plant_id": "string",
    "time": "2019-08-24T14:15:22Z",
    "unit": "string",
    "value": 0
  }
]
{
  "code": "INVALID_UUID",
  "details": {},
  "error": "Bad Request",
  "message": "Invalid plant UUID",
  "statusCode": 400
}
{
  "code": "UNAUTHORIZED",
  "details": {},
  "error": "Unauthorized",
  "message": "Unauthorized",
  "statusCode": 400
}
{
  "code": "FORBIDDEN",
  "details": {},
  "error": "Forbidden",
  "message": "Forbidden",
  "statusCode": 400
}
{
  "code": "PLANT_NOT_FOUND",
  "details": {},
  "error": "Not Found",
  "message": "Plant not found",
  "statusCode": 400
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "details": {},
  "error": "Internal Server Error",
  "message": "Internal server error",
  "statusCode": 400
}